--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "The class to represent the query result tuples (rows). An instance of this class is created as the result of every query. You may need to invoke the #clear method of the instance when finished with the result for better memory performance."
- !ruby/struct:SM::Flow::P 
  body: "Example:"
- !ruby/struct:SM::Flow::VERB 
  body: "   require 'pg'\n   conn = PGconn.open(:dbname =&gt; 'test')\n   res  = conn.exec('SELECT 1 AS a, 2 AS b, NULL AS c')\n   res.getvalue(0,0) # '1'\n   res[0]['b']       # '2'\n   res[0]['c']       # nil\n"
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: result status
  name: PGRES_EMPTY_QUERY
  value: PGresult CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_COMMAND_OK
  value: INT2FIX(PGRES_COMMAND_OK)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_TUPLES_OK
  value: INT2FIX(PGRES_TUPLES_OK)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_COPY_OUT
  value: INT2FIX(PGRES_COPY_OUT)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_COPY_IN
  value: INT2FIX(PGRES_COPY_IN)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_BAD_RESPONSE
  value: INT2FIX(PGRES_BAD_RESPONSE)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_NONFATAL_ERROR
  value: INT2FIX(PGRES_NONFATAL_ERROR)
- !ruby/object:RI::Constant 
  comment: 
  name: PGRES_FATAL_ERROR
  value: INT2FIX(PGRES_FATAL_ERROR)
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: result error field codes
  name: PG_DIAG_SEVERITY
  value: PGresult CONSTANTS
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_SQLSTATE
  value: INT2FIX(PG_DIAG_SQLSTATE)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_MESSAGE_PRIMARY
  value: INT2FIX(PG_DIAG_MESSAGE_PRIMARY)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_MESSAGE_DETAIL
  value: INT2FIX(PG_DIAG_MESSAGE_DETAIL)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_MESSAGE_HINT
  value: INT2FIX(PG_DIAG_MESSAGE_HINT)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_STATEMENT_POSITION
  value: INT2FIX(PG_DIAG_STATEMENT_POSITION)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_INTERNAL_POSITION
  value: INT2FIX(PG_DIAG_INTERNAL_POSITION)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_INTERNAL_QUERY
  value: INT2FIX(PG_DIAG_INTERNAL_QUERY)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_CONTEXT
  value: INT2FIX(PG_DIAG_CONTEXT)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_SOURCE_FILE
  value: INT2FIX(PG_DIAG_SOURCE_FILE)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_SOURCE_LINE
  value: INT2FIX(PG_DIAG_SOURCE_LINE)
- !ruby/object:RI::Constant 
  comment: 
  name: PG_DIAG_SOURCE_FUNCTION
  value: INT2FIX(PG_DIAG_SOURCE_FUNCTION)
full_name: PGresult
includes: 
- !ruby/object:RI::IncludedModule 
  name: Enumerable
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: clear
- !ruby/object:RI::MethodSummary 
  name: cmd_status
- !ruby/object:RI::MethodSummary 
  name: cmd_tuples
- !ruby/object:RI::MethodSummary 
  name: cmdtuples
- !ruby/object:RI::MethodSummary 
  name: each
- !ruby/object:RI::MethodSummary 
  name: fformat
- !ruby/object:RI::MethodSummary 
  name: fields
- !ruby/object:RI::MethodSummary 
  name: fmod
- !ruby/object:RI::MethodSummary 
  name: fname
- !ruby/object:RI::MethodSummary 
  name: fnumber
- !ruby/object:RI::MethodSummary 
  name: fsize
- !ruby/object:RI::MethodSummary 
  name: ftable
- !ruby/object:RI::MethodSummary 
  name: ftablecol
- !ruby/object:RI::MethodSummary 
  name: ftype
- !ruby/object:RI::MethodSummary 
  name: getisnull
- !ruby/object:RI::MethodSummary 
  name: getlength
- !ruby/object:RI::MethodSummary 
  name: getvalue
- !ruby/object:RI::MethodSummary 
  name: nfields
- !ruby/object:RI::MethodSummary 
  name: nparams
- !ruby/object:RI::MethodSummary 
  name: ntuples
- !ruby/object:RI::MethodSummary 
  name: num_fields
- !ruby/object:RI::MethodSummary 
  name: num_tuples
- !ruby/object:RI::MethodSummary 
  name: oid_value
- !ruby/object:RI::MethodSummary 
  name: paramtype
- !ruby/object:RI::MethodSummary 
  name: res_status
- !ruby/object:RI::MethodSummary 
  name: result_error_field
- !ruby/object:RI::MethodSummary 
  name: result_error_message
- !ruby/object:RI::MethodSummary 
  name: result_status
name: PGresult
superclass: Object
